Bug 1218070 - ECDSA host key not loaded by sshd by default (inconsistent with man page)
Summary: ECDSA host key not loaded by sshd by default (inconsistent with man page)
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: openssh
Version: 6.7
Hardware: Unspecified
OS: Unspecified
low
low
Target Milestone: rc
: ---
Assignee: Jakub Jelen
QA Contact: Stanislav Zidek
URL:
Whiteboard:
Depends On:
Blocks: 1217621
TreeView+ depends on / blocked
 
Reported: 2015-05-04 07:45 UTC by Stanislav Zidek
Modified: 2016-05-10 19:28 UTC (History)
1 user (show)

Fixed In Version: openssh-5.3p1-113.el6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-05-10 19:28:32 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2016:0741 normal SHIPPED_LIVE Moderate: openssh security, bug fix, and enhancement update 2016-05-10 22:29:45 UTC

Description Stanislav Zidek 2015-05-04 07:45:39 UTC
Description of problem:
sshd by default (with no HostKey directive in sshd_config) loads only RSA and DSA keys. However, man page states that it should load also ECDSA key in this case. This is either documentation bug or bad behaviour of sshd.

Version-Release number of selected component (if applicable):
openssh-5.3p1-109.el6.x86_64

How reproducible:
always

Steps to Reproduce:
1. remove all HostKey directives from sshd_config
2. sshd -T |grep ^hostkey
3. man sshd_config


Actual results:
# sshd -T |grep ^hostkey
hostkey /etc/ssh/ssh_host_rsa_key
hostkey /etc/ssh/ssh_host_dsa_key

...
HostKey
             Specifies a file containing a private host key used by SSH.  The default is /etc/ssh/ssh_host_key for protocol version 1, and /etc/ssh/ssh_host_dsa_key, /etc/ssh/ssh_host_ecdsa_key and /etc/ssh/ssh_host_rsa_key for protocol version 2.
...

Expected results:
# sshd -T |grep ^hostkey
hostkey /etc/ssh/ssh_host_rsa_key
hostkey /etc/ssh/ssh_host_dsa_key
hostkey /etc/ssh/ssh_host_ecdsa_key

(or man page update)

Additional info:

Comment 1 Jakub Jelen 2015-08-26 13:35:31 UTC
This is probably bug in ECDSA keys backporting, but we don't want to change default behaviour in this late release so changing documentation seems like a reasonable idea.

The same information is also specified in the description of -h option in manual page for sshd.

Comment 2 Petr Lautrbach 2015-09-01 08:20:10 UTC
The man page needs to be fixed. ECDSA algorithms are not used by default intentionally as it could create a regression for some setups with broken clients which can't handle bigger packets during a transport layer initialization.

See https://access.redhat.com/errata/RHSA-2014:1552 and https://access.redhat.com/solutions/711953

Comment 7 errata-xmlrpc 2016-05-10 19:28:32 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2016-0741.html


Note You need to log in before you can comment on or make changes to this bug.